Page MenuHomePhabricator

Error: POSTing empty data to hostedcheckouts endpoint
Closed, ResolvedPublic

Description

Why the heck did we do this‽

2018-08-15T15:09:14+00:00 [INFO] Entering logging context '58368556:58368556.1 '.
2018-08-15T15:09:14+00:00 [INFO] Initiating cURL
2018-08-15T15:09:14+00:00 [DEBUG] Outbound data: ''
2018-08-15T15:09:14+00:00 [INFO] Preparing to send POST request to https://world.api-ingenico.com/v1/6570/hostedcheckouts

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : deploymentStop mangling donor data on truncation
mediawiki/extensions/DonationInterface : masterStop mangling donor data on truncation
wikimedia/fundraising/SmashPig : masterAdd additional, additional logging to capture json_encode failures on Ingenico API calls
wikimedia/fundraising/SmashPig : masterIngenico: throw ex instead of making bad requests

Event Timeline

Ejegg created this task.Aug 21 2018, 3:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2018, 3:28 PM

Change 469526 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Ingenico: throw ex instead of making bad requests

https://gerrit.wikimedia.org/r/469526

Change 469526 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Ingenico: throw ex instead of making bad requests

https://gerrit.wikimedia.org/r/469526

Change 494298 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/SmashPig@master] Add additional, additional logging to capture json_encode failures on Ingenico API calls

https://gerrit.wikimedia.org/r/494298

Change 494298 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Add additional, additional logging to capture json_encode failures on Ingenico API calls

https://gerrit.wikimedia.org/r/494298

Ejegg claimed this task.Mar 8 2019, 12:32 AM
Ejegg triaged this task as Medium priority.

Change 495155 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Stop mangling donor data on truncation

https://gerrit.wikimedia.org/r/495155

Change 495155 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Stop mangling donor data on truncation

https://gerrit.wikimedia.org/r/495155

Change 495821 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Stop mangling donor data on truncation

https://gerrit.wikimedia.org/r/495821

Change 495821 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Stop mangling donor data on truncation

https://gerrit.wikimedia.org/r/495821

Ejegg closed this task as Resolved.Mar 19 2019, 7:43 PM